"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types = require("@babel/types");
function createModuleExports(expression) {
    return types.assignmentExpression('=', types.memberExpression(types.identifier('module'), types.identifier('exports')), expression);
}
function transformReturnToModuleExports(fnBody, nejInject) {
    var lastStatement = fnBody[fnBody.length - 1];
    if (types.isReturnStatement(lastStatement)) {
        fnBody[fnBody.length - 1] = types.expressionStatement(createModuleExports(lastStatement.argument));
    }
    else if (nejInject.length) { // 没有导出时, 并且通过nej注入了 _p, 则默认抛出 _p
        // @ts-ignore
        fnBody.push(createModuleExports(types.identifier(nejInject[0].alias)));
    }
    return fnBody;
}
exports.transformReturnToModuleExports = transformReturnToModuleExports;
